Bug 816250 - PATCH: properly deal with crypt() returning NULL
Summary: PATCH: properly deal with crypt() returning NULL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 15:58 UTC by Paul Wouters
Modified: 2012-07-10 21:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-10 21:00:00 UTC
Type: Bug


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (2.69 KB, patch)
2012-04-25 15:59 UTC, Paul Wouters
no flags Details | Diff

Description Paul Wouters 2012-04-25 15:58:54 UTC
crypt() may return NULL, so one should not directly attempt to strcmp() or strdup() its return value.

This can happen in various cases, for example when the host is running in FIPS mode and the hash algorithm specified in the salt , eg MD5 using $1$, is not allowed.

Attached patch fixes this,

Comment 1 Paul Wouters 2012-04-25 15:59:30 UTC
Created attachment 580202 [details]
patch hanlding crypt() returning NULL

Comment 2 Petr Lautrbach 2012-06-20 14:06:45 UTC
Applied, thanks!

Comment 3 Fedora Update System 2012-06-25 09:13:04 UTC
cyrus-sasl-2.1.23-30.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cyrus-sasl-2.1.23-30.fc17

Comment 4 Fedora Update System 2012-06-26 00:56:50 UTC
Package cyrus-sasl-2.1.23-30.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cyrus-sasl-2.1.23-30.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9916/cyrus-sasl-2.1.23-30.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-07-10 21:00:00 UTC
cyrus-sasl-2.1.23-30.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.